commit: 09949c8de2f95aa47b693d2785b4be81986ac697
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Aug 14 01:45:06 2025 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Aug 14 02:42:24 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=09949c8d
dev-python/boto3: Bump to 1.40.9
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/boto3/Manifest | 1 +
dev-python/boto3/boto3-1.40.9.ebuild | 53 ++++++++++++++++++++++++++++++++++++
2 files changed, 54 insertions(+)
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index bd7987a54191..27f5bf861b64 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -3,3 +3,4 @@ DIST boto3-1.40.1.gh.tar.gz 978197 BLAKE2B
c93f3550d41c13292dd8f4dcaab9d896faca1
DIST boto3-1.40.6.gh.tar.gz 981330 BLAKE2B
929b4326d8d48e46750128e6236776b86fd5e59f0aab113e3ec797f18f138c7f52b30a79724f97de8083fd8e8baa04169e68e219ef5acf592561dabb838b4374
SHA512
65431a0d084298f51e0eee1753119f811261e9e57fdc5fa0491c9ce8d4fc745e705aed22527c8c06e003227c5c0bccc1a659e04bcc96a68fafb61bc53ec70a84
DIST boto3-1.40.7.gh.tar.gz 982158 BLAKE2B
36ab4722eab1c76514138e93e4ebf5ebf50714649d02c7465ecdbc74fdf32921270d3a71d67ffc788940ba0ef1b4c4b9e588c7c7777171de91dceecde18f7559
SHA512
48b237fb61d28f44543dbb6e4ea19e2dfd8c766ca9e7c17ef0d7728af72eed09a7ecb6354427d6aacf89a28a6dc54391c665a5aa248b65680918f9518f33dbbf
DIST boto3-1.40.8.gh.tar.gz 982609 BLAKE2B
2078913b650e09d356efb8c79c1a916c1574472b94e787d8e961fb3cdf8b646800bc4d01792c333f04117b877d51c3387054b3146482228c77265bb47936409b
SHA512
1ea19fbb142400e8b17c345f2f94c14f6a7f13e12cdcf76714c7a28eb50a9cb038784b0c79d20587586bb0c1c21b0a42e12b8687beae364c6bd3b5b5b5fc51ed
+DIST boto3-1.40.9.gh.tar.gz 983018 BLAKE2B
aa3b538175fc2e4b1418f6959ed1d643816fb3727140c14c1721abc8819a1cd912716743b25437724fc250836cfc2cf4b8fce5aa37d2f125e61a33b588739eed
SHA512
88e291a805edd5c1a3fd40eef345e14ad5a0a985fa5378b785dfb45a73ee3ab4d70147f0816844281a5a9d768577ab651c5de39d19b4df4f5d58b2e1710cd503
diff --git a/dev-python/boto3/boto3-1.40.9.ebuild
b/dev-python/boto3/boto3-1.40.9.ebuild
new file mode 100644
index 000000000000..bd6e26787db4
--- /dev/null
+++ b/dev-python/boto3/boto3-1.40.9.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86
~amd64-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-python/botocore-${PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.13.0[${PYTHON_USEDEP}]
+"
+
+EPYTEST_PLUGINS=()
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ epytest tests/{functional,unit}
+}